Package Details: aster 12.6.0-1

Git Clone URL: https://aur.archlinux.org/aster.git (read-only)
Package Base: aster
Description: Code-Aster
Upstream URL: http://www.code-aster.org/
Keywords: FEM
Licenses: GPL
Submitter: None
Maintainer: gbs
Last Packager: mickele
Votes: 8
Popularity: 0.000000
First Submitted: 2006-11-07 17:46
Last Updated: 2016-12-20 21:32

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

mickele commented on 2014-05-21 05:11

I created
- aster-hg at https://aur.archlinux.org/packages/aster-hg/
- astk-hg at https://aur.archlinux.org/packages/astk-hg/
Anyone is invited to contribute testing the package.
Report here suggestions and bug.

blixawillbargeld commented on 2014-05-19 21:23

an aster-hg package sounds good to me. I am not sure if I'm the best tester, as aster is new to me and I'm fighting with french, but I will try for sure. Coming from Abaqus and Ansys, so there is some experience with FE....

mickele commented on 2014-05-19 10:50

I created an hg version, but I'm looking for tester.
If you can help me, I can send via mail my PKGBUILDS or I can create astk-hg and aster-hg packages on AUR.
If we create a working PKGBUILD for hg version it is straightforward to create a PKGBUILD for stable version.

mickele commented on 2014-05-19 06:57

I created an hg version, but I'm looking for tester.
If you can help me in testing I can create astk-hg and ater-hg.
If it works it is straightforward to create a stable aster package.

blixawillbargeld commented on 2014-05-12 09:25

Any news on this package? Would be great to use code aster on arch....

mickele commented on 2013-12-15 19:14

Code-aster 11.4 uses waf to build.
I'm afraid update to 11.4 won't be so easy.

mickele commented on 2013-12-14 21:19

Cose-aster 11.4 uses waf to build.
I'm afraid the update to 11.4 won't be so easy.

mickele commented on 2013-12-04 21:30

This is a first partial update. I hope in the next month to have enough time to update to 11.4.0.

mickele commented on 2013-12-02 08:30

Problem is only for AUR, just because
mumps (https://aur.archlinux.org/packages/mumps/) needs
parmetis (https://aur.archlinux.org/packages/parmetis/) that needs
metis (https://aur.archlinux.org/packages/metis/).
However I solved that issue creating a different version of metis4 compatible with metis. Maintainer of metis4 acceppeted my suggestion and it is already available on AUR at https://aur.archlinux.org/packages/metis4/.
I've almost finished my packaging, I am checking that everything works fine and I'll soon release version 11.3. If you want I can send you via mail the new PKGBUILDs.
Update to 11.4 shouldn't take much time, because I changed the structure of the various PKGUILDs to simplify updates.

CAVT commented on 2013-12-01 21:13

Michele: I'm checking the Aster 11.4 Full SRC file from Aster's website (identical so far with v12), and the prerequisites sources have the latest Mumps 4.10.0-1 and Metis 4.0.3. This seems to indicate that Metis 5 is not needed. I have not tried building it though.